package com.mortals.xhx.module.resource.dao.ibatis;


import com.mortals.framework.model.ParamDto;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.resource.dao.ResourceDao;
import com.mortals.xhx.module.resource.model.ResourceEntity;

import java.util.Date;

import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;

import java.util.HashMap;
import java.util.List;

/**
 * 资源信息业务DaoImpl DAO接口
 *
 * @author zxfei
 * @date 2022-05-25
 */
@Repository("resourceDao")
public class ResourceDaoImpl extends BaseCRUDDaoMybatis<ResourceEntity, Long> implements ResourceDao {

    @Override
    public List<ResourceEntity> getListByUserId(Long userId) {
        ParamDto param = new ParamDto();
        param.getCondition().put("userId", userId);
        return getSqlSession().selectList(getSqlId("getListByUserId"), param);
    }

    @Override
    public List<ResourceEntity> getAll(final int userType) {

        return getSqlSession().selectList(getSqlId("getAllByUserType"), new HashMap<String, Object>() {

            {
                put("userType", userType);
            }
        });
    }

}
