package com.mortals.xhx.module.resource.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.resource.model.vo.ResourceVo;
/**
* 资源信息业务实体对象
*
* @author zxfei
* @date 2022-05-25
*/

public class ResourceEntity extends ResourceVo {
    private static final long serialVersionUID = 1L;

    /**
    * 名称
    */
    private String name;
    /**
    * 连接地址，多个地址以逗号分隔
    */
    private String url;
    /**
    * 权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）
    */
    private Integer authType;
    /**
    * 资源类型(0.系统资源，1.开放资源)
    */
    private Integer sourceType;
    /**
    * 创建用户名称
    */
    private String createUserName;
    /**
    * 用户类型(0.系统用户,1.代理商用户,2.品牌商用户)
    */
    private Integer userType;



    public ResourceEntity(){}
    /**
    * 获取 名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 连接地址，多个地址以逗号分隔
    * @return String
    */
    public String getUrl(){
        return url;
    }
    /**
    * 设置 连接地址，多个地址以逗号分隔
    * @param url
    */
    public void setUrl(String url){
        this.url = url;
    }
    /**
    * 获取 权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）
    * @return Integer
    */
    public Integer getAuthType(){
        return authType;
    }
    /**
    * 设置 权限类型（0.无限制，1.无需登录查看，2.需要登录查看，3.需要角色权限查看）
    * @param authType
    */
    public void setAuthType(Integer authType){
        this.authType = authType;
    }
    /**
    * 获取 资源类型(0.系统资源，1.开放资源)
    * @return Integer
    */
    public Integer getSourceType(){
        return sourceType;
    }
    /**
    * 设置 资源类型(0.系统资源，1.开放资源)
    * @param sourceType
    */
    public void setSourceType(Integer sourceType){
        this.sourceType = sourceType;
    }
    /**
    * 获取 创建用户名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }
    /**
    * 获取 用户类型(0.系统用户,1.代理商用户,2.品牌商用户)
    * @return Integer
    */
    public Integer getUserType(){
        return userType;
    }
    /**
    * 设置 用户类型(0.系统用户,1.代理商用户,2.品牌商用户)
    * @param userType
    */
    public void setUserType(Integer userType){
        this.userType = userType;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ResourceEntity) {
            ResourceEntity tmp = (ResourceEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",name:").append(getName());
        sb.append(",url:").append(getUrl());
        sb.append(",authType:").append(getAuthType());
        sb.append(",sourceType:").append(getSourceType());
        sb.append(",createUserName:").append(getCreateUserName());
        sb.append(",userType:").append(getUserType());
        return sb.toString();
    }

    public void initAttrValue(){

            this.name = "";

            this.url = "";

            this.authType = 3;

            this.sourceType = 0;

            this.createUserName = "";

            this.userType = null;
    }
}